// TASK 04

package task04;

import java.util.LinkedList;
import java.util.Stack;

// Complete the implementation of ReverseStack.

// The method reverse should behave as described in the interface Reversible

// You may freely use other data structures, for example a queue.

public class ReversibleStack<Any> extends Stack<Any> implements Reversible<Any> {
	
	private static final long serialVersionUID = 2380157662763764848L;

	// place your code here.
	public void reverse() {
		LinkedList<Any> helperQueue = new LinkedList<Any>();
		
		while (! isEmpty()) {
			helperQueue.add(pop());
		}
		
		for (Any element : helperQueue)
			push(element);
			
	}
	
}
