// TASK 03

package task03;

import java.util.Queue;

import java.util.LinkedList;

// The static method count should return the number of 
// elements in a given Queue.

// IMPORTANT: After the counting, the given queue someQueue 
// must contain the same elements in the same order, than
// before. You may freely use other data structures and private
// helper methods.

public class CountInQueue {
	
	public static <Any> int count(Queue<Any> someQueue) {
		return countWithSize(someQueue);
	}
	
	public static <Any> int countWithSize(Queue<Any> someQueue) {
		return someQueue.size();
	}

	public static <Any> int countWithIterator(Queue<Any> someQueue) {

		int count = 0;
		for (Any _ : someQueue) count++;
		return count;
		
	}

	public static <Any> int countWithoutIterator(Queue<Any> someQueue) {

		LinkedList<Any> helperQueue = new LinkedList<Any>();
		int count = 0;
		while (! someQueue.isEmpty()) {
			helperQueue.add(someQueue.remove());
			count++;
		}
		while (! helperQueue.isEmpty()) 
			someQueue.add(helperQueue.remove());

		return count;
	}
}
