// TASK 05

package task05;

import java.util.Queue;
import java.util.Stack;

// Complete the implementation of ReverseQueue.

// The method reverse should reverse the elements of the given queue.
// Thus, if a queue contains elements 1,2,3 in this order, then
// the queue will contain the elements 3,2,1 in this order after
//the reverse operation.

// You may freely use other data structures, for example a stack.

public class ReverseQueue {
	
	public <Any> void reverse(Queue<Any> someQueue) {
		// place your code here.
		Stack<Any> helperStack = new Stack<Any>();
		
		while (! someQueue.isEmpty()) {
			helperStack.push(someQueue.remove());
		}
		
		while (! helperStack.isEmpty()) {
			someQueue.add(helperStack.pop());
		}
		
	}
}
